Package wx :: Class DCBrushChanger

[frames | no frames]

## Type DCBrushChanger

    object --+
             |
            DCBrushChanger

wx.DCBrushChanger can be used to temporarily change the DC brush and restore it automatically when the object goes out of scope

Method Summary
DCBrushChanger | ``__init__`(self, dc, brush)` wx.DCBrushChanger can be used to temporarily change the DC brush and restore it automatically when the object goes out of scope
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, dc, brush)
(Constructor)

wx.DCBrushChanger can be used to temporarily change the DC brush and restore it automatically when the object goes out of scope

  Parameters:
    `dc`
    (type=DC)

    `brush`
    (type=Brush)

  Returns:
    DCBrushChanger
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:45 2007 | http://epydoc.sf.net